Permalink
Browse files

Merge pull request #5 from datalogics-kam/fix-require-oauth

require_oauth decorator was always succeeding.
  • Loading branch information...
2 parents 3cb6d5e + 5249a17 commit e671925fc234889ace3e989ae5d2e1e81e98e502 @ib-lundgren committed Apr 6, 2013
Showing with 2 additions and 1 deletion.
  1. +2 −1 flask_oauthprovider.py
@@ -275,14 +275,15 @@ def verify_request(*args, **kwargs):
body = request.form.to_dict()
else:
body = request.data.decode("utf-8")
- valid = self.verify_request(request.url.decode("utf-8"),
+ verify_result = self.verify_request(request.url.decode("utf-8"),
http_method=request.method.decode("utf-8"),
body=body,
headers=request.headers,
require_resource_owner=require_resource_owner,
require_verifier=require_verifier,
require_realm=require_realm or bool(realm),
required_realm=realm)
+ valid, oauth_request = verify_result
if valid:
request.oauth = self.collect_request_parameters(request)

0 comments on commit e671925

Please sign in to comment.